UL(1)

NAME
ul - do underlining

SYNOPSIS
ul [-i] [-t terminal] [file ...]

DESCRIPTION
ul reads the named files (or standard input if none are given) and translates occurrences of underscores to the sequence which indicates underlining for the terminal in use, as specified by the environment variable TERM. The file /etc/termcap is read to determine the appropriate sequences for underlining. If the terminal is incapable of underlining, but is capable of a standout mode, then that is used instead. If the terminal can overstrike, or handles underlining automatically, ul degenerates to cat(1). If the terminal cannot underline, underlining is ignored.

The options are as follows:

-i  Underlining is indicated by a separate line containing appropriate dashes (‘-’).

-t terminal
    Overrides the terminal type specified in the environment with terminal.

ENVIRONMENT

TERM
    Used to relate a tty device with its device capability description (see termcap(5)). TERM is set at login time, either by the default terminal type specified in /etc/ttys or as set during the login process by the user in their login file (see environ(7)).

SEE ALSO
man(1)

HISTORY
The ul command appeared in 3.0BSD.